summaryrefslogtreecommitdiffstats
path: root/tests/bugs/distribute/bug-1063230.t
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bugs/distribute/bug-1063230.t')
-rwxr-xr-xtests/bugs/distribute/bug-1063230.t29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/bugs/distribute/bug-1063230.t b/tests/bugs/distribute/bug-1063230.t
new file mode 100755
index 00000000000..944c6c296f6
--- /dev/null
+++ b/tests/bugs/distribute/bug-1063230.t
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+. $(dirname $0)/../../include.rc
+. $(dirname $0)/../../volume.rc
+
+cleanup;
+
+TEST glusterd
+TEST pidof glusterd
+TEST $CLI volume create $V0 $H0:$B0/brick0 $H0:$B0/brick1
+TEST $CLI volume start $V0
+
+sleep 5
+
+TEST glusterfs -s $H0 --volfile-id $V0 $M0
+
+var=`gluster volume rebalance $V0 start force`
+
+EXPECT "0" echo $?
+
+var1="volume rebalance: $V0: success: Rebalance on $V0 has \
+been started successfully. Use rebalance status command to \
+check status of the rebalance process."
+
+echo $var | grep "$var1"
+
+EXPECT "0" echo $?
+
+cleanup